com.hammurapi.extract

## Enum ComparisonResult.Type

- java.lang.Object
- - java.lang.Enum<ComparisonResult.Type>
  - - com.hammurapi.extract.ComparisonResult.Type

- All Implemented Interfaces:
    Serializable, Comparable<ComparisonResult.Type>
  Enclosing class:
    ComparisonResult

      public static enum ComparisonResult.Type
      extends Enum<ComparisonResult.Type>

  Result of extractor comparison.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EQUAL` Extractors are equal.
    `LESS_EQUAL` Value extracted by the first extractor is less than or equal to the value extracted by the second extractor for any combination of parameters.
    `LESS_RESTRICTIVE` This predicate is less restrictive than the parameter predicate.
    `LESS_THAN` Value extracted by the first extractor is less than value extracted by the second extractor for any combination of parameters.
    `MORE_EQUAL` Value extracted by the first extractor is more than or equal to the value extracted by the second extractor for any combination of parameters.
    `MORE_RESTRICTIVE` This predicate is more restrictive than the parameter predicate.
    `MORE_THAN` Value extracted by the first extractor is more than value extracted by the second extractor for any combination of parameters.
    `NOT_EQUAL` Extractors are not equal, i.e.
    `OPPOSITE` When this predicate evaluates to true, the parameter predicate evaluates to false and vice-versa.
    `OPPOSITE_LESS_RESTRICTIVE` The opposite of this predicate is less restrictive than the parameter predicate.
    `OPPOSITE_MORE_RESTRICTIVE` The opposite of this predicate is more restrictive than the parameter predicate.
    `UNEQUAL` Value extracted by the first extractor is not equal to the value extracted by the second extractor for any combination of parameters.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ComparisonResult.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ComparisonResult.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EQUAL

          public static final ComparisonResult.Type EQUAL

      Extractors are equal.

    - #### NOT_EQUAL

          public static final ComparisonResult.Type NOT_EQUAL

      Extractors are not equal, i.e. no conclusion can be drawn about values returned by extractors.

    - #### LESS_RESTRICTIVE

          public static final ComparisonResult.Type LESS_RESTRICTIVE

      This predicate is less restrictive than the parameter predicate. E.g. x<=5 is less restrictive than x<5.

    - #### MORE_RESTRICTIVE

          public static final ComparisonResult.Type MORE_RESTRICTIVE

      This predicate is more restrictive than the parameter predicate. E.g. x<6 is more restrictive than x<7.

    - #### OPPOSITE

          public static final ComparisonResult.Type OPPOSITE

      When this predicate evaluates to true, the parameter predicate evaluates to false and vice-versa.

    - #### OPPOSITE_LESS_RESTRICTIVE

          public static final ComparisonResult.Type OPPOSITE_LESS_RESTRICTIVE

      The opposite of this predicate is less restrictive than the parameter predicate. E.g. x>5 opposite is x<=5 and it is is less restrictive than x<5.

    - #### OPPOSITE_MORE_RESTRICTIVE

          public static final ComparisonResult.Type OPPOSITE_MORE_RESTRICTIVE

      The opposite of this predicate is more restrictive than the parameter predicate. E.g. x>5 opposite is x<=5 and it is is more restrictive than x<7.

    - #### LESS_THAN

          public static final ComparisonResult.Type LESS_THAN

      Value extracted by the first extractor is less than value extracted by the second extractor for any combination of parameters.

    - #### LESS_EQUAL

          public static final ComparisonResult.Type LESS_EQUAL

      Value extracted by the first extractor is less than or equal to the value extracted by the second extractor for any combination of parameters.

    - #### MORE_EQUAL

          public static final ComparisonResult.Type MORE_EQUAL

      Value extracted by the first extractor is more than or equal to the value extracted by the second extractor for any combination of parameters.

    - #### MORE_THAN

          public static final ComparisonResult.Type MORE_THAN

      Value extracted by the first extractor is more than value extracted by the second extractor for any combination of parameters.

    - #### UNEQUAL

          public static final ComparisonResult.Type UNEQUAL

      Value extracted by the first extractor is not equal to the value extracted by the second extractor for any combination of parameters. Do not mistake this with NOT_EQUAL. For boolean values (predicates) UNEQUAL is equivalent to OPPOSITE.

  - ### Method Detail

    - #### values

          public static ComparisonResult.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ComparisonResult.Type c : ComparisonResult.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ComparisonResult.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null